Subject: Re: The program '/gnu/store/foobar/compute-guix-derivation' failed to compute the derivation for guix

From: Jakub Kądziołka <[email-masked]>
Date: Fri, 5 Jun 2020 00:15:34 +0200

Hi,

I encountered a similar error message today, but it worked fine after
retrying. After digging around in /var/log/guix/drvs, I found these
lines in an appropriately-timestamped log file:

substitute: guix substitute: warning: ci.guix.gnu.org: connection failed: Connection timed out
@ build-started /gnu/store/klyq05c1q8jzwnwrlmvy4ma6m2h6hbk0-compute-guix-derivation.drv - x86_64-linux /var/log/guix/drvs/kl//yq05c1q8jzwnwrlmvy4ma6m2h6hbk0-compute-guix-derivation.drv.bz2 3907994
@ build-succeeded /gnu/store/klyq05c1q8jzwnwrlmvy4ma6m2h6hbk0-compute-guix-derivation.drv -

I do recall seeing the Connection timed out message, I'd even say it's
probably the reason why I decided to retry the pull without much
investigation.

Regards,
Jakub Kądziołka